commit:     3940514e52e6bc0b689ce7df670c4b674df420af
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 14 09:57:44 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 14 10:18:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3940514e

app-arch/lrzip: Don't collide with other packages

Closes: https://bugs.gentoo.org/588206
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 app-arch/lrzip/lrzip-0.631-r1.ebuild | 38 ++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/app-arch/lrzip/lrzip-0.631-r1.ebuild 
b/app-arch/lrzip/lrzip-0.631-r1.ebuild
new file mode 100644
index 00000000000..198bfeec9a8
--- /dev/null
+++ b/app-arch/lrzip/lrzip-0.631-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Long Range ZIP or Lzma RZIP optimized for compressing large files"
+HOMEPAGE="https://github.com/ckolivas/lrzip";
+SRC_URI="http://ck.kolivas.org/apps/${PN}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND="dev-libs/lzo
+        app-arch/bzip2
+        sys-libs/zlib"
+DEPEND="${RDEPEND}
+       x86? ( dev-lang/nasm )
+       virtual/perl-Pod-Parser"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-missing-stdarg_h.patch
+       "${FILESDIR}"/${P}-solaris.patch
+)
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       # Don't collide with net-dialup/lrzsz and /usr/bin/lrz, bug #588206
+       rm -f "${ED}"/usr/bin/lrz
+       rm -f "${ED}"/usr/share/man/man1/lrz.*
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to